/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* GH - Stack search form on anything less than ipad landscape 	*/
@media (max-width:1023px) {
   .property-search-form { display:block }
   .property-search-form .control { display:block }
}

/* IC - Textsearch1 styling */
	.property-search-form-textsearch1 .control { padding: 0!Important; }
	.property-search-form-textsearch1 [type="text"], 
	.property-search-form-textsearch1 [type="submit"], 
	.property-search-form-textsearch1 select { border: none; border-radius: 0; }	
	.property-search-form-textsearch1 #department { appearance: none; background: #ddd; border-radius: 0px 0px 0 0; text-align: center; padding-right: 40px; }	
	.property-search-form-textsearch1 #department option { direction: rtl; }
	.property-search-form-textsearch1 .control-department { position: relative; }
	.property-search-form-textsearch1 .control-department:after { content: "\f107"; position: absolute; top: 50%; right: 20px; line-height: 1; transform: translateY(-50%); font-family: "Font Awesome 5 Free"; font-weight: 900; display: inline-block; font-style: normal; font-variant: normal; text-rendering: auto; }
	.property-search-form-textsearch1 [type="submit"] { width: 100%; background: #ddd; border-radius: 0 0 0px 0px; }

@media (min-width:1023px) {	
	.property-search-form-textsearch1 .control-department { width: 15%; }
	.property-search-form-textsearch1 #department { border-radius: 0px 0 0 0px; text-align: right; padding-right: 40px; }	
	.property-search-form-textsearch1 [type="submit"] { border-radius: 0 0px 0px 0; }
}	

	.property-search-form-textsearch1 * { height: 45px; margin-bottom: 15px; margin-top: 15px; }
	.property-search-form-textsearch1 input#keyword { background: #eee; }


/* IC - Format search results page (called properties) blue: #001A2C. red: #ED0F00 */
	.propertyhive ul.properties { margin: 0px 0px 0px 10px; } 
	.propertyhive ul.properties li.property { -webkit-box-shadow: 0px 4px 7px 2px rgba(0,0,0,0.3); box-shadow: 0px 4px 7px 2px rgba(0,0,0,0.1); border-radius: 0px; padding: 0px; margin-bottom: 20px; }
	.propertyhive ul.properties li .thumbnail img { border-radius: 0px 0px 0px 0px; }
	.propertyhive ul.properties li .thumbnail .flag { border-radius: 0px 0px 0px 0px!Important; }
	.propertyhive ul.properties li.property .details { padding: 15px; }
	.propertyhive ul.properties li.property .details .button { background: #001A2C!Important; border: 1px solid #001A2C; color: #fff; border-radius: 0px; display: inline-block; padding: 10px 20px; font-weight: 500; line-height: 1; margin: 20px 0; }
	.propertyhive ul.properties li.property .details .button:hover { background: #ED0F00; color: #fff; }
	.propertyhive ul.properties li.property .details .rooms {margin: 10px 0 0 0;}
	.propertyhive ul.properties li.property .details .rooms .room:before { color: #aaa; margin: 0 10px 0 0; font-family: "Font Awesome 5 Free"; font-weight: 800; display: inline-block; font-style: normal; font-variant: normal; text-rendering: auto; line-height: 1; width: 20px; text-align: center; }
	.propertyhive ul.properties li.property .details .rooms .room-bedrooms:before { content: "\f236";}
	.propertyhive ul.properties li.property .details .rooms .room-receptions:before { content: "\f4b8";}
	.propertyhive ul.properties li.property .details .rooms .room-bathrooms:before { content: "\f2cd";}	
	.propertyhive ul.properties li.property .price { padding: 15px 10px 10px 0; }

@media (min-width:1200px) {		
	.propertyhive ul.properties { margin: 30px 0; }
	.propertyhive ul.properties li.property { margin-bottom: 2%; }
}	


.propertyhive-result-count { margin: 30px 0 20px 0; }

.propertyhive-views { display: inline-block; float: left; }
.propertyhive-views ul { list-style: none; margin: 0; padding: 0; display: inline-block; }
.propertyhive-views li { margin: 0; padding: 10px 0; display: inline-block; }
.propertyhive-views li + li { margin: 0 0 0 20px; }
.propertyhive-views a, .propertyhive-views a:visited { background: #ED0F00!Important; border: 1px solid #ED0F00!Important; color: #fff!important; border-radius: 0px; display: inline-block; padding: 10px 20px; font-weight: 500; line-height: 1; height: 40px; text-align: center; }

.propertyhive-ordering { padding: 10px 0; text-align: right; margin-right: 20px; }

.propertyhive-ordering select { width: auto; border: none; border-radius: 0px; background: #ddd; height: 40px; padding: .5rem 1rem; transition: all .3s; margin: 0 0 0 auto; }
 
 @media (max-width: 575.9px) {
 	.propertyhive-result-count { padding: 0 10px; text-align: center; }
 	.propertyhive-views { display: block; float: none; }
 	.propertyhive-views ul { display: block; }
	.propertyhive-views li { width: 50%; padding: 10px; }
	.propertyhive-views li + li { margin: 0; }
	.propertyhive-views a { width: 100%; }
	.propertyhive-ordering select { width: 100%; margin: 10px; }
 }
 
  @media (max-width: 399.9px) {
  	.propertyhive-views li { width: 100%; }
}  	

/* Calculators */
	.stamp-duty-calculator button {margin-top: 15px!Important; font-weight: 400; background: #636F7B!Important}
	.stamp-duty-calculator label {line-height: 2!Important}
	.rental-yield-calculator button {margin-top: 15px!Important; font-weight: 400; background: #636F7B!Important}
	.rental-yield-calculator label {line-height: 2!Important}
	.mortgage-calculator button {margin-top: 15px!Important; font-weight: 400; background: #636F7B!Important}
	.mortgage-calculator label {line-height: 2!Important}